> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# eth_getTransactionReceipt | Cronos

> Cronos API method that retrieves a transaction's receipt from a transaction hash. eth_getTransactionReceipt on Cronos via Chainstack.

<Note>
  **No response in the interactive API**

  The response to the call might be too big for the web app to handle, so if you are not getting it here, copy the CURL example and run in your terminal—this will work.
</Note>

Cronos API method that retrieves a transaction's receipt from a transaction hash. It can be used to verify a transaction's success or failure, check a smart contract's execution status, retrieve logs, check if a transaction deployed a smart contract, and more.

<Check>
  **Get your own node endpoint today**

  [Start for free](https://console.chainstack.com/) and get your app to production levels immediately. No credit card required.

  You can sign up with your GitHub, X, Google, or Microsoft account.
</Check>

## Parameters

* `hash` — the hash identifying a transaction

## Response

* `Transaction receipt` — the receipt object with:
  * `blockHash` — the block hash. Identifies the block in which the transaction was included. This field is `null` for transactions that have not yet been included in a block.
  * `blockNumber` — the number of the block in which the transaction was included. This field is `null` for transactions that have not yet been included in a block.
  * `contractAddress` — the contract address created by the transaction if it was a contract creation transaction. Otherwise, the value is `null`.
  * `cumulativeGasUsed` — the total amount of gas used in the block until this transaction was executed.
  * `effectiveGasPrice` — the actual value deducted from the sender's account for this transaction.
  * `from` — the address of the sender who initiated the transaction.
  * `gasUsed` — the amount of gas used by this specific transaction alone.
  * `logs` — an array of log objects this transaction generates, if any. Logs are generated by smart contracts.
  * `logsBloom` — the bloom filter used by light clients to quickly retrieve logs related to the transaction.
  * `status` — the success status of the transaction, represented as `1` for success or `0` for failure.
  * `to` — the recipient's address of the transaction if it was a transaction to an address. For contract creation transactions, this field is `null`.
  * `transactionHash` — the hash that uniquely identifies the transaction.
  * `transactionIndex` — the index of the transaction within the block.
  * `type` — the [type](https://ethereum.org/en/developers/docs/transactions/#types-of-transactions) of the transaction. `0` indicates a regular transfer; `2` indicates a contract creation or smart contract function call.

## `eth_getTransactionReceipt` code examples

<CodeGroup>
  ```javascript web3.js theme={"system"}
  const { Web3 } = require("web3");
  const NODE_URL = "CHAINSTACK_NODE_URL";
  const web3 = new Web3(NODE_URL);

  async function getReceipt(transactionHash) {
    const receipt = await web3.eth.getTransactionReceipt(transactionHash)
    console.log(receipt)
   }
   
   getReceipt("0x2fe2d1f60c3abc7642e0a4c7929d356fc1009a0c1e60722b285d663ee7a0f636")
  ```

  ```javascript ethers.js theme={"system"}
  const ethers = require('ethers');
  const NODE_URL = "CHAINSTACK_NODE_URL";
  const provider = new ethers.JsonRpcProvider(NODE_URL);

  const getTransactionReceipt = async (transactionHash) => {
      const receipt = await provider.send("eth_getTransactionReceipt", [transactionHash]);
       console.log(receipt);
     };

  getTransactionReceipt('0x2fe2d1f60c3abc7642e0a4c7929d356fc1009a0c1e60722b285d663ee7a0f636')
  ```

  ```python web3.py theme={"system"}
  from web3 import Web3  
  node_url = "CHAINSTACK_NODE_URL" 

  web3 = Web3(Web3.HTTPProvider(node_url)) 
  print(web3.eth.get_transaction_receipt("0x2fe2d1f60c3abc7642e0a4c7929d356fc1009a0c1e60722b285d663ee7a0f636"))
  ```
</CodeGroup>

## Use case

A practical use case for `eth_getTransactionReceipt` is to verify a transaction's status and whether it was successful. This can be especially useful when deploying a contract, as you can use the receipt to confirm that the contract was deployed successfully and has a valid contract address.


## OpenAPI

````yaml /openapi/cronos_node_api/eth_getTransactionReceipt.json POST /b9b0fb92029d58b396139a9e89cf479b
openapi: 3.0.0
info:
  title: Cronos Node API
  version: 1.0.0
  description: This is an API for interacting with a Cronos node.
servers:
  - url: https://nd-907-114-772.p2pify.com
security: []
paths:
  /b9b0fb92029d58b396139a9e89cf479b:
    post:
      tags:
        - Transactions info
      summary: eth_getTransactionReceipt
      operationId: getTransactionReceipt
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: integer
                  default: 1
                jsonrpc:
                  type: string
                  default: '2.0'
                method:
                  type: string
                  default: eth_getTransactionReceipt
                params:
                  type: array
                  items:
                    type: string
                    title: Transaction hash
                  default:
                    - >-
                      0x07352b3cfc68b13f2e01b60f3edc6c6bb8bb1a3926f1055f9f6a2cde15eec01c
      responses:
        '200':
          description: The transaction receipt
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                  id:
                    type: integer
                  result:
                    type: object

````